﻿using System;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace TileViewBug
{
	public partial class MainPage : UserControl
	{
		private ViewModel _ViewModel = new ViewModel();
		
		public MainPage()
		{
			DataContext = _ViewModel;
			InitializeComponent();
			TileView.TilePanelSettings.MaxMaximizedTiles = _ViewModel.Widgets.Count;
		}

		private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
		{
            var button = e.OriginalSource as Button;
			var widget = button.Tag as Widget;
			_ViewModel.Widgets.Remove(widget);

            TileView.TilePanelSettings.MaxMaximizedTiles = _ViewModel.Widgets.Count;
		}
	}
	
	public class ViewModel
	{
		public ViewModel()
		{
			Widgets = new ObservableCollection<Widget>();
			for(int i=0; i<4; i++)
			{
				Widgets.Add(new Widget("Widget " + i.ToString(), "Content " + i.ToString()));
			}
		}
		
		public ObservableCollection<Widget> Widgets { get; set; }
	}
	
	public class Widget
	{
		public string Name { get; set; }
		public string Content { get; set; }
		public Widget(string name, string content)
		{
			Name = name;
			Content = content;
		}
	}
	
}